osl::move_probability::StandardFeatureSet Class Reference

`#include <featureSet.h>`

Inheritance diagram for osl::move_probability::StandardFeatureSet:

## Public Member Functions

| StandardFeatureSet ()
| ~StandardFeatureSet ()
void | generateLogProb (const StateInfo &state, MoveLogProbVector &out) const
void | generateLogProb2 (const StateInfo &state, MoveLogProbVector &out) const
void | generateLogProb (const StateInfo &state, int limit, MoveLogProbVector &out, bool in_pv) const
int | logProbTakeBack (const StateInfo &state, Move target) const
int | logProbSeePlus (const StateInfo &state, Move target) const
double | matchLight (const StateInfo &, Move) const
double | matchExp (const StateInfo &, Move) const
double | matchNoExp (const StateInfo &, Move) const
bool | setUp (bool verbose=false)
bool | ok () const
Public Member Functions inherited from osl::move_probability::FeatureSet
| ~FeatureSet ()
void | pushBack (Feature *, bool light=false)
void | addFinished ()
int | dimension () const
double | matchExp (const StateInfo &, Move, const double *weights) const
double | matchNoExp (const StateInfo &, Move, const double *weights) const
void | generateLogProb (const StateInfo &state, MoveLogProbVector &out, const double *weights) const
double | matchLight (const StateInfo &, Move, const double *weights) const
bool | load (const char *base_filename, double *weights) const
bool | load_binary (const char *base_filename, double *weights) const
void | showSummary (const double *weights) const
void | analyze (const StateInfo &state, Move move, const double *weights) const
double | generateRating (const StateInfo &state, WeightedMoveVector &out, const double *weights) const

## Static Public Member Functions

static const StandardFeatureSet & | instance (bool verbose=false)
static bool | healthCheck ()
Static Public Member Functions inherited from osl::move_probability::FeatureSet
static void | ratingToLogProb (const WeightedMoveVector &rating, double sum, MoveLogProbVector &out)

## Private Member Functions

int | tacticalLogProb (int offset, double sum) const

## Private Attributes

bool | initialized

## Static Private Attributes

static boost::scoped_array< double > | weights
static boost::scoped_array< double > | tactical_weights

## Additional Inherited Members

Protected Member Functions inherited from osl::move_probability::FeatureSet
| FeatureSet ()

## Detailed Description

Definition at line 50 of file move_probability/featureSet.h.

## Constructor & Destructor Documentation

## StandardFeatureSet()

osl::move_probability::StandardFeatureSet::StandardFeatureSet | ( |  | ) |

Definition at line 216 of file featureSet_.cc.

References osl::move_probability::FeatureSet::addFinished(), initialized, and osl::move_probability::FeatureSet::pushBack().

Referenced by instance().

## ~StandardFeatureSet()

osl::move_probability::StandardFeatureSet::~StandardFeatureSet | ( |  | ) |

Definition at line 271 of file featureSet_.cc.

## Member Function Documentation

## generateLogProb() [1/2]

void osl::move_probability::StandardFeatureSet::generateLogProb | ( | const StateInfo & | state,
|  | int | limit,
|  | MoveLogProbVector & | out,
|  | bool | in_pv ) const

Definition at line 364 of file featureSet_.cc.

References generateLogProb2().

## generateLogProb() [2/2]

void osl::move_probability::StandardFeatureSet::generateLogProb | ( | const StateInfo & | state,
|  | MoveLogProbVector & | out ) const

Definition at line 330 of file featureSet_.cc.

References osl::move_probability::FeatureSet::generateLogProb(), and weights.

## generateLogProb2()

void osl::move_probability::StandardFeatureSet::generateLogProb2 | ( | const StateInfo & | state,
|  | MoveLogProbVector & | out ) const

Definition at line 336 of file featureSet_.cc.

References osl::FixedCapacityVector< T, Capacity >::begin(), osl::FixedCapacityVector< T, Capacity >::end(), osl::move_probability::FeatureSet::generateRating(), osl::container::MoveLogProbVector::push_back(), osl::FixedCapacityVector< T, Capacity >::size(), and weights.

Referenced by generateLogProb().

## healthCheck()

bool osl::move_probability::StandardFeatureSet::healthCheck | ( |  | ) |

static

Definition at line 285 of file featureSet_.cc.

References instance().

## instance()

const osl::move_probability::StandardFeatureSet & osl::move_probability::StandardFeatureSet::instance | ( | bool | verbose = false | ) |

static

Definition at line 277 of file featureSet_.cc.

References setUp(), and StandardFeatureSet().

Referenced by healthCheck().

## logProbSeePlus()

int osl::move_probability::StandardFeatureSet::logProbSeePlus | ( | const StateInfo & | state,
|  | Move | target ) const

Definition at line 396 of file featureSet_.cc.

References matchLight(), osl::move_probability::StateInfo::progress8(), and tacticalLogProb().

## logProbTakeBack()

int osl::move_probability::StandardFeatureSet::logProbTakeBack | ( | const StateInfo & | state,
|  | Move | target ) const

Definition at line 388 of file featureSet_.cc.

References matchLight(), osl::move_probability::StateInfo::progress8(), and tacticalLogProb().

## matchExp()

double osl::move_probability::StandardFeatureSet::matchExp | ( | const StateInfo & | state,
|  | Move | move ) const

Definition at line 376 of file featureSet_.cc.

References osl::move_probability::FeatureSet::matchExp(), and weights.

## matchLight()

double osl::move_probability::StandardFeatureSet::matchLight | ( | const StateInfo & | state,
|  | Move | move ) const

Definition at line 370 of file featureSet_.cc.

References osl::move_probability::FeatureSet::matchLight(), and weights.

Referenced by logProbSeePlus(), and logProbTakeBack().

## matchNoExp()

double osl::move_probability::StandardFeatureSet::matchNoExp | ( | const StateInfo & | state,
|  | Move | move ) const

Definition at line 382 of file featureSet_.cc.

References osl::move_probability::FeatureSet::matchNoExp(), and weights.

## ok()

bool osl::move_probability::StandardFeatureSet::ok | ( |  | ) | const

inline

Definition at line 69 of file move_probability/featureSet.h.

References initialized.

## setUp()

bool osl::move_probability::StandardFeatureSet::setUp | ( | bool | verbose = false | ) |

Definition at line 298 of file featureSet_.cc.

References osl::move_probability::FeatureSet::dimension(), osl::OslConfig::home(), initialized, osl::move_probability::FeatureSet::load_binary(), osl::move_probability::standardfeatureset_lock, tactical_weights, and weights.

Referenced by instance().

## tacticalLogProb()

int osl::move_probability::StandardFeatureSet::tacticalLogProb | ( | int | offset,
|  | double | sum ) const

private

Definition at line 404 of file featureSet_.cc.

References tactical_weights.

Referenced by logProbSeePlus(), and logProbTakeBack().

## Member Data Documentation

## initialized

bool osl::move_probability::StandardFeatureSet::initialized

private

Definition at line 53 of file move_probability/featureSet.h.

Referenced by ok(), setUp(), and StandardFeatureSet().

## tactical_weights

boost::scoped_array< double > osl::move_probability::StandardFeatureSet::tactical_weights

static private

Definition at line 52 of file move_probability/featureSet.h.

Referenced by setUp(), and tacticalLogProb().

## weights

boost::scoped_array< double > osl::move_probability::StandardFeatureSet::weights

static private

Definition at line 52 of file move_probability/featureSet.h.

Referenced by generateLogProb(), generateLogProb2(), matchExp(), matchLight(), matchNoExp(), and setUp().

The documentation for this class was generated from the following files:

- move_probability/featureSet.h
- featureSet_.cc